import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
public class secP2 extends JPanel implements ActionListener 
{private static final long serialVersionUID =74368454L;
public double en,boy;
public kapi kap;
int kapitipi;
double U; //toplam ısı transfer katsayısı
double A; //alan
double UA;//alan*U
String kapitipiS[]={"0 basit tek camlı pencere ve ahşap dış kapı",
"1 Özel birleştirilmiş çift camlı pencere (ÇCP) ve ahşap dış kapı(DK) iki cam arası 6 mm",
"2 Özel birleştirilmiş çift camlı pencere (ÇCP) ve ahşap dış kapı(DK) iki cam arası 12 mm",
"3 Camsız ahşap dış kapı (DK)",
"4 bitişik çift kanatlı pencere (ÇP) ve ahşap dış kapı (DK)",
"5 kasalı çift kanatlı pencere (ÇP) ve ahşap dış kapı",
"6 basit tek camlı pencere(TP) ve metal dış kapı (DK)",
"7 Özel birleştirilmiş çift camlı pencere (ÇCP) ve metal dış kapı(DK) iki cam arası 6 mm",
"8 Özel birleştirilmiş çift camlı pencere (ÇCP) ve metal dış kapı(DK) iki cam arası 12 mm",
"9 bitişik çift kanatlı pencere (ÇP) ve ahşap dış kapı (DK)",
"10 kasalı çift kanatlı pencere (ÇP) ve metal dış kapı",
"11 tepe penceresi-kapısı (basit) metal",
"12 tepe penceresi-kapısı (çift) metal ",
"13 basit tek camlı pencereli dış kapı plastik ",
"14 özel birleştirilmiş çift camlı pencereli plastik"
};
String isim2[]={"Kapı1","Kapı2","Kapı3","Kapı4","Kapı5","Kapı6"};
String isim;
JComboBox<String> jcb1,jcb2;
JLabel jl1,jl2,jl3,jl4,jl5;
JTextField cam,ten,tboy;
JPanel lb1,lb2,lb3;
JTextArea jta;
public boolean secim;
JButton secb;

public secP2(String isimi,double eni,double boyi)
{ en=eni;
  boy=boyi;
  isim=isimi;
  secim=false;
  jcb1=new JComboBox<String>(kapitipiS);
  kapitipi=0;
  jl1=new JLabel("kapı tipi");
  jl4=new JLabel("       en");
  jl5=new JLabel("      boy");
  en=0.0;
  boy=0.0;
  ten=new JTextField(""+en);
  tboy=new JTextField(""+boy);
  kap=new kapi(kapitipi);
  lb1=new JPanel();
  lb1.setLayout(new GridLayout(2,3));
  lb1.add(jl1);
  lb1.add(jl4);
  lb1.add(jl5);
  lb1.add(jcb1);
  lb1.add(ten);
  lb1.add(tboy);
  jcb1.addActionListener(this);
  ten.addActionListener(this);
  tboy.addActionListener(this);
  lb3=new JPanel();
  lb3.setLayout(new BorderLayout());
  lb3.add(lb1,BorderLayout.NORTH);
  jta=new JTextArea(toString());
  lb3.add(jta,BorderLayout.SOUTH);
  add(lb3);  
}
 
public void setEnBoy(double eni,double boyi)
{ en=eni;
  boy=boyi;
  if(en==0||boy==0) secim=false;
  else secim=true;
}
    public void actionPerformed(ActionEvent e) 
    {   if(e.getSource()==jcb1)
        { kapitipi=jcb1.getSelectedIndex(); 
        }
        else if(e.getSource()==ten)
        {en=Double.parseDouble(ten.getText());
        if(en==0||boy==0) secim=false;
        else secim=true;
        }
        else if(e.getSource()==tboy)
        {boy=Double.parseDouble(tboy.getText());
        if(en==0||boy==0) secim=false;
        else secim=true;
        }
        kap=new kapi(kapitipi); 
        U=kap.U;
        A=en*boy;
        UA=A*U;
        jta.setText(toString());
        validate();
        repaint();       
    }    
public String toString()
{
String s="isim = "+isim+"\n";
s+="kapı tipi  = "+kapitipiS[kapitipi]+"\n";
s+="en     = "+en+"\n";
s+="boy    = "+boy+"\n";
s+="U      = "+U+"W/m2K\n";
s+="A      = "+A+"m2\n";
s+="seçim  ="+secim+"\n";
return s;
}

}